#!/bin/sh

###########################################################################
# CONFIGURATION

# The outgoing SMTP server (CHANGE THIS)
smtp=mysmtp.com:25

# Directory for temporary files (CHANGE THIS)
tmpdir=/var/tmp 

# The user to run as
user=clamav

# The prefix clamsmtpd was installed to
prefix=/usr/local/

# The location for pid file
piddir=/var/run/clamav/

# The clamd socket
clamsock=/var/run/clamav/clamd


###########################################################################
# SCRIPT
            
case $1 in
start)
        mkdir -p $piddir
        chown $user $piddir
        su -m $user -c "$prefix/sbin/clamsmtpd -c $clamsock -D $tmpdir -p $piddir/clamsmtpd.pid $smtp"
        echo -n "clam-smtpd "
        ;;
stop)
        [ -f $piddir/clamsmtpd.pid ] && kill `cat $piddir/clamsmtpd.pid`
        echo -n "clam-smtpd "
        ;;
*)
        echo "usage: clamsmptd.sh {start|stop}" >&2
        ;;
esac
